# Basil

Yet another tool for splitting barcoded sequences. It had to be done.

## Installation

You're gonna need Ruby 1.8.7 or better.

    (sudo) gem install basil

## Features

**Demultiplexes multiplexed high-throughput sequencing data for Illumina, Roche 454, IonTorrent, _etc_... sequence data in their native formats**

- Supports unlimited number of barcodes
- Trimming from left end of read
- Barcodes provided as simple .csv file
- Support input filetypes:
    - Fastq
    - Fasta

## TODO

- Support regexp in barcodes input.

## Usage

    Usage:
        basil [options] -i <reads/directory> -o <output directory>
    where [options] are:
      --barcodes, -b <s>:   barcodes definition file
             --reads, -i:   reads (fastq/fasta/qseq)
          --illumina, -d:   Illumina output directory
       --pretrim, -p <i>:   trim N nucleotides from start
       --afttrim, -a <i>:   trim N nucleotides from end
           --out, -o <s>:   output directory
           --version, -v:   Print version and exit
              --help, -h:   Show this message

## Barcodes file

Barcodes are specified in a simple CSV file:

    barcode_name,barcode_sequence
    my_awesome_barcode,gggggggg
    my_awesomer_barcode,aaaaaaaa
    my_awesomest_barcode,cccccccc

(Eventually, I will add built-in support for commonly-used barcodes)