require 'spec_helper'

describe Basil::Barcodes do
  it "#gem_libdir should return full path to lib/ directory" do
    Basil::Barcodes.gem_libdir.should_not be_nil
  end

  it "#barcode_files should return an array of barcodes files" do
    Basil::Barcodes.barcode_files.should_not be_empty
  end

  it "#barcodes should return an array of barcode names" do
    Basil::Barcodes.barcodes.should_not be_empty
  end

  it "#has_barcode? should return true if a barcode files is present in barcodes" do
    Basil::Barcodes.has_barcode? "triplett"
  end

  it "#barcode_path returns full path of barcode file given a name" do
    File.readable?(Basil::Barcodes.barcode_path("triplett")).should_not be_false
  end
end
